curl --request POST \
--url https://api.tilta.io/v1/merchants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"legal_name": "ACME Distribution GmbH",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"contact_emails": [
"jsmith@example.com"
],
"trading_name": "ACME",
"business_identifiers": [
{
"value": "<string>"
}
],
"incorporated_at": 1582896122
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
legal_name: 'ACME Distribution GmbH',
business_address: {
postcode: '12345',
city: 'Berlin',
street: 'Example Street',
house: '42b',
additional: 'c/o Testimonial'
},
contact_emails: ['jsmith@example.com'],
trading_name: 'ACME',
business_identifiers: [{value: '<string>'}],
incorporated_at: 1582896122
})
};
fetch('https://api.tilta.io/v1/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/merchants"
payload = {
"external_id": "<string>",
"legal_name": "ACME Distribution GmbH",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"contact_emails": ["jsmith@example.com"],
"trading_name": "ACME",
"business_identifiers": [{ "value": "<string>" }],
"incorporated_at": 1582896122
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/merchants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'legal_name' => 'ACME Distribution GmbH',
'business_address' => [
'postcode' => '12345',
'city' => 'Berlin',
'street' => 'Example Street',
'house' => '42b',
'additional' => 'c/o Testimonial'
],
'contact_emails' => [
'jsmith@example.com'
],
'trading_name' => 'ACME',
'business_identifiers' => [
[
'value' => '<string>'
]
],
'incorporated_at' => 1582896122
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"status": "ENROLLED",
"created_at": 1582896122,
"updated_at": 1582896122,
"legal_name": "ACME Distribution GmbH",
"legal_form": "LIMITED_COMPANY",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"contact_emails": [
"jsmith@example.com"
],
"trading_name": "ACME",
"business_identifiers": [
{
"type": "VAT_ID",
"value": "<string>",
"country": "AF"
}
],
"incorporated_at": 1582896122
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Create a merchant
Register a new merchant on your platform so their orders can be financed by Tilta. Newly created merchants must complete onboarding before approval.
ENROLLED. Direct your merchants to the Tilta onboarding flow immediately after creation.Authorizations
Your Tilta API key, sent as Bearer <key>.
Body
Unique identifier of a merchant.
100^[a-zA-Z0-9-_]+$Merchant's full legal name incl. the legal form if applicable.
"ACME Distribution GmbH"
Merchant's legal form, which depends on the merchant's registered country. Available legal forms cover Tilta's operating countries.
LIMITED_COMPANY, SOLE_TRADER, PARTNERSHIP, PUBLIC_COMPANY, COOPERATIVE, GOVERNMENT, OTHER Merchant's address.
Show child attributes
Show child attributes
Merchant's contact emails
10Merchant's trading name.
"ACME"
A list of business identifiers
Show child attributes
Show child attributes
Merchant's date of incorporation (unix time in seconds), meaning the date when the business of registered or started.
1582896122
Response
A merchant has been successfully created or updated.
Unique identifier of a merchant.
100^[a-zA-Z0-9-_]+$Merchant's enrollment status
ENROLLED, INACTIVE, EXPIRED Timestamp indicating when the merchant was created (unix time in seconds).
1582896122
Timestamp indicating the last time the merchant was updated (unix time in seconds).
1582896122
Merchant's full legal name incl. the legal form if applicable.
"ACME Distribution GmbH"
Merchant's legal form, which depends on the merchant's registered country. Available legal forms cover Tilta's operating countries.
LIMITED_COMPANY, SOLE_TRADER, PARTNERSHIP, PUBLIC_COMPANY, COOPERATIVE, GOVERNMENT, OTHER Merchant's address.
Show child attributes
Show child attributes
Merchant's contact emails
10Merchant's trading name.
"ACME"
A list of business identifiers
Show child attributes
Show child attributes
Merchant's date of incorporation (unix time in seconds), meaning the date when the business of registered or started.
1582896122